本站不兼容 8 以前的版本的 Interner Explorer 浏览器(或基于这些版本的 IE 的其他浏览器),并且页面样式不完全兼容 IE 8,我们建议你升级至 IE 9 或改用其他非 IE 浏览器

Mozest™

  • 正在加载用户菜单…

开放、分享、互助

转播到腾讯微博
返回列表 回复 发帖
Firefox2.0含有自1.5以来的重大更新,鉴于Firefox从1.0到1.5的升级给用户造成了不小的麻烦,强烈建议1.5的用户暂时不要着急升级到这个新版本。
本帖将在官方正式发布之后说明如何最简单的做到升级。
本帖将会紧跟2.0的官方发布编辑来解决2.0升级的各类问题:诸如扩展兼容性,个人信息保留,还有其他一些预想不到的问题。

持续更新。

-------------------------------------
于 2007 年 08月 07 日更新:

升级您的Firefox

本文指导您如何全新安装Firefox2.0和如何从Firefox1.5或更早版本升级到Firefox2.0;有关已安装的附加软件(扩展,主题)在新版本下兼容性的问题;以及升级后个人信息(书签,浏览历史,保存的密码等)的留存抑或删除等注意事项。

Firefox2.0正式版已于北京时间2006 年10月25 日发布,官方下载地址为如下,你可以直接点击以下链接来下载:
更新:截至本帖更新日期,fx的最新版本为2.0.0.6.

下载地址:

MS Windows 平台:Linux 平台:Mac OSX 平台:初次安装:

Firefox2.0win版本使用了NSIS 作为安装文件脚本,不同于以往版本自解压式的安装,这会使得您在安装它时简单而方便。你只需要一路点击确定就可以了;当然对于高级用户,您也可以使用安装高级选项来选择程序安装的位置和其他一些细节。
Firefox2.0win版本默认安装的位置在
代码
X:\Program Files\Mozilla Firefox\

第一次运行以后,默认的配置文件夹在
代码
X:\Documents and Settings\USERNAME\Application Data\Mozilla\Firefox\Profiles\********.default\

其中X是您的系统盘符,USERNAME为您的Windows用户名,********为八位随机数字和字母。更多的问题,请参见《Firefox使用、设置和常见问题的解决方法》《Firefox 扩展软件介绍》。
对于*nix用户,发行版本将内置Firefox浏览器,至于编译安装,相信您不是新手了。


升级安装:

升级前您需要了解的一些信息:重要
目前还不清楚Firefox1.5.*版本能否自动升级到2.0版本,不过看起来希望不是很大。
更新:1.5版本不会升级到2.0除非你自己手动下载并升级之。


如何升级?

以下示例均为Firrefox默认安装路径,如果您自定义安装的Firefox不是默认路径请酌情改动。


Windows用户

  • 如何判断我当前Firefox的版本?我是否应该升级?
您可以在当前Firefox菜单的“帮助”“关于 Mozilla Firefox”获得这个信息。
对于企业用户,我们建议你等待一段时间等2.0升级问题的解决方案基本完善后升级。
对于个人用户,我们强烈建议你升级到Firefox2.0来享受新的特性和获取新的浏览体验。
  • 我是Firefox1.0的用户,我如何升级到2.0?
Firefox1系列版本已经太老了,我推荐您重新安装配置来升级到Firefox2.0,这会导致除了书签外您所有配置的丢失。
您可以按照以下的办法来升级:

I.备份配置文件夹
代码
X:\Documents and Settings\USERNAME\Application Data\Mozilla\Firefox\


ii.卸载Firefox1
在控制面板-添加删除程序中卸载Firefox1
不能删除的话,请在取消默认浏览器后直接删除安装目录。

iii.手动删除配置文件夹 重要!
删除

代码
X:\Documents and Settings\USERNAME\Application Data\Mozilla\Firefox\


iv.安装Firefox2,并运行一次。

v.恢复书签
复制备份了的文件夹中
Firefox\Profiles\********.default\
下的bookmarks.html到当前配置文件夹覆盖

vi.安装扩展,主题,Flash插件等

vii.升级完毕,没有问题的话可以删除备份的文件夹。
  • 我是Firefox1.5的用户,我如何升级到2.0?
您有两种办法升级:
1.覆盖安装Firefox(不推荐,可能导致很多莫名其妙的问题出现,尤其是对于不兼容扩展
2.手动升级(
需要重新安装扩展和主题,请事先备份您的扩展和主题列表。麻烦了点。。。不过一劳永逸):

I.备份配置文件夹
代码
X:\Documents and Settings\USERNAME\Application Data\Mozilla\Firefox\

ii.备份插件和搜索引擎,扩展设置
代码
X:\Program Files\Mozilla Firefox\plugins

代码
X:\Program Files\Mozilla Firefox\serchplugins

有些扩展如ADblock,Gmailmanger等提供了设置导出,您需要在这里对您的扩展设置做一个备份。

iii.卸载 Firefox1.5
在控制面板-添加删除程序中卸载 Firefox1.5
不能删除的话,请在取消默认浏览器后直接删除安装目录。

iv.手动删除配置文件夹 重要!
代码
X:\Documents and Settings\USERNAME\Application Data\Mozilla\Firefox\


v.安装Firefox2,并运行一次。

vi.恢复书签,个人信息,cookie等
复制备份了的文件夹
\Firefox\Profiles\********.default\
下的
bookmarks.html
cert8.db
cookies.txt
formhistory.dat
formhistory.sqlite
history.dat
key3.db
(以下文件如果存在的话)
user.js
\searchplugins\*
\chrome\userChrome.css
\chrome\userContent.css

到当前配置文件夹覆盖。

vii.复制已备份的插件和搜索引擎到
代码
X:\Program Files\Mozilla Firefox\

覆盖

viii.启动Firefox安装新扩展,主题等;导入备份的扩展设置。

viiii:升级完毕,没有问题的话可以删除备份的文件夹。
  • 我是Firefox nightly(每夜版)的用户,我如何升级到2.0?
请参照Firefox1.5的升级方式。如果您使用的是Firefox2RC3及其以后的版本,您可以直接覆盖安装。

*nix用户

  1. Ubuntu用户
    • fx为ubuntu默认安装的一部分
    • 等待为Ubuntu编译的第三方源安装包发布。
    • 下载Linux二进制编译包,解压使用。参见这里
  2. Redhat用户
    • 等待为Redhat编译的rpm包发布。
    • 下载Linux二进制编译包,解压使用。
  3. 其他linux用户
    请在Mozilla下载源码编译安装。
Mac OSX 用户
  • 下载DMG镜像文件,挂载,拖动Firefox图标到您的Appliacation文件夹。

2.0发布后记:Mozilla 基金会成员建议不要从 FTP 镜像直接下载 Firefox 等软件

期待……
庆幸不用像买XBOX,PS2一样整夜等待。

无论你我相距多远

希望我的微笑

能永远围绕你身边
我有一个问题啊,我的Firefox 2.0是在官网上下的,但是我用Firefox 2.0打开www.sina.com.cn,www.mydrivers.com,www.yesky.com这3个网站时,Firefox 2.0的内存使用有109,045K,应该不会有这么大的使用率吧。。。。。。。

希望高手能给解释一下,到底是我的问题还是Firefox 2.0的问题。
引用 (ppp520 @ 2006年10月23日 11:43 PM) <{POST_SNAPBACK}>
我有一个问题啊,我的Firefox 2.0是在官网上下的,但是我用Firefox 2.0打开www.sina.com.cn,www.mydrivers.com,www.yesky.com这3个网站时,Firefox 2.0的内存使用有109,045K,应该不会有这么大的使用率吧。。。。。。。

希望高手能给解释一下,到底是我的问题还是Firefox 2.0的问题。


这几个都是吃内存大户的网站
新手提示
1.Firefox鼠标手势解决方法:安装 All-in-One Gestures 轻松实现鼠标手势。
2.Firefox播放在线视频、音频的解决方法:安装 Mediawrap能使您像IE 一样正常播放媒体文件。
3.Firefox 和 IE 共享收藏夹解决方法:安装 PlainOldFavorites 可以让你在firefox中直接管理和使用IE收藏夹,非常方便。
4.Firefox中双击关闭标签页的解决方法:安装 Tab Mix Lite CE 它是功能全面的标签设置扩展,能根据您的使用习惯来进行设置

Mozilla/5.0 (Windows; U; Windows NT 5.1; zh-CN; rv:1.9b3pre) Gecko/2008010304 Minefield/3.0b3pre
今天才知道有2.0,象是楼主说得,还没有update呢.
Firefox 没有发版,那我现在这个2.0是哪里来的?
官方网页没有发布,可能正在向各个FTP上传,手快的自然有搞到的。
我用的版本是1.5.07,今天早上打开FIREFOX自动升级怎么没动静,具体什么时候能自己自动升级,再就是我这里面的安装的扩展有TABBROWSE,MEDIAWRAP,IE TEB,升级到2.0的时候这些扩展能正常使用么?
1507自动升级的下一个版本应该是1508,我已经看到了相关的发布计划,1508的代码已经完成,可能正在准备进入发布流程了。
FIREFOX的版本怎么这么乱,到底最终版本是什么,如1.5.*,2.0,3.0狂晕,没个目的性,让人不知道到底用哪个好
引用 (金箭 @ 2006年10月24日 9:19 AM) <{POST_SNAPBACK}>
1507自动升级的下一个版本应该是1508,我已经看到了相关的发布计划,1508的代码已经完成,可能正在准备进入发布流程了。


那就是说不能通过自动升级来升到2.0版的?急盼正确升级流程和注意事项!

无论你我相距多远

希望我的微笑

能永远围绕你身边
问几个问题:
1.firefox1.57会自动更新到2.0吗?
2.现在的插件能否兼容2.0
3.什么时候出2.0绿色版本

三思而后问

我已经安装了2.0,很麻烦的是插件大部分逗不能兼容了!
不过我会一直关注这个帖子的,期待各位高手的解决方案!
其实道理很简单,你打开着xp的自动更新,会自动更新到vista么?不会。虽然其中涉及商业授权的问题,但是作为开源软件的道理也是一样的,大的版本升级会涉及很复杂的问题。比较稳妥的办法是重新安装并新建配置文件。当然这只是我的个人看法,自动更新最终会怎么处理还要拭目以待。
firefox下扩展和插件不是一个概念,插件在各个版本之间问题一般不大,扩展则要看各自的情况了,不能一概而论,2.0正式发布以后各个扩展的作者一般都会尽快升级更新的,还是关注一下各扩展的主页吧。当然也可以用说了千百遍的nightly tester tools扩展处理,只是不能保证一定有效罢了——这个方法加入常见问答已久。
绿色版本不是官方发布的,所以要问作者自己了。
我是自己手动下载安装的2.0 ,之前一直用的1.*版

感觉2.0默认设置已经不错了,习惯就好

主要还是扩展、皮肤兼容问题,但这是暂时的
引用 (alva @ 2006年10月24日 11:30 AM) <{POST_SNAPBACK}>
我是自己手动下载安装的2.0 ,之前一直用的1.*版

感觉2.0默认设置已经不错了,习惯就好

主要还是扩展、皮肤兼容问题,但这是暂时的

嗯! 我也等待扩展和皮肤的更新,暂时就用下默认的吧!刚好可以适应下新版本的内容,一开始用还有点不适应!
引用 (金箭 @ 2006年10月24日 11:27 AM) <{POST_SNAPBACK}>
其实道理很简单,你打开着xp的自动更新,会自动更新到vista么?不会。虽然其中涉及商业授权的问题,但是作为开源软件的道理也是一样的,大的版本升级会涉及很复杂的问题。比较稳妥的办法是重新安装并新建配置文件。当然这只是我的个人看法,自动更新最终会怎么处理还要拭目以待。
firefox下扩展和插件不是一个概念,插件在各个版本之间问题一般不大,扩展则要看各自的情况了,不能一概而论,2.0正式发布以后各个扩展的作者一般都会尽快升级更新的,还是关注一下各扩展的主页吧。当然也可以用说了千百遍的nightly tester tools扩展处理,只是不能保证一定有效罢了——这个方法加入常见问答已久。
绿色版本不是官方发布的,所以要问作者自己了。

我也觉得应该卸载干净了再重新安装新的版本,就像从WIN98升级到XP一样,可能不稳定的!
但不知道现在网上提供的2.0版本下载文件是否是正式的?因为官方还没放出下载!
引用 (漫咖啡 @ 2006年10月24日 11:37 AM) <{POST_SNAPBACK}>
但不知道现在网上提供的2.0版本下载文件是否是正式的?因为官方还没放出下载!

如果您没急到坐立不安的程度,建议等官方网站的发布。 smile.gif
引用 (金箭 @ 2006年10月24日 11:38 AM) <{POST_SNAPBACK}>
引用 (漫咖啡 @ 2006年10月24日 11:37 AM) <{POST_SNAPBACK}>

但不知道现在网上提供的2.0版本下载文件是否是正式的?因为官方还没放出下载!

如果您没急到坐立不安的程度,建议等官方网站的发布。 smile.gif

哈哈!那到没啦,只是我现在已经安装了网上现有的2.0版本,先用着吧!反正等官方出了,我打算卸载了重新安装!干干净净多好啊?
想坚持到Win2003SP2,IE7中文版,WMP11,FF2,TB2都出来以后重装系统。
编辑您的个人签名
引用 (锅贴大王 @ 2006年10月24日 11:47 AM) <{POST_SNAPBACK}>
想坚持到Win2003SP2,IE7中文版,WMP11,FF2,TB2都出来以后重装系统。

我等VISTA出来买新电脑!只能这样了………………
引用 (锅贴大王 @ 2006年10月24日 11:47 AM) <{POST_SNAPBACK}>
想坚持到Win2003SP2,IE7中文版,WMP11,FF2,TB2都出来以后重装系统。

伟大的理想!
昨天在自己的台式机上从1507直接下载了2.0的安装文件升级了,除了扩展不兼容外,用的蛮好的,该去的网站都去了,该用的感觉都用了,没出问题,并且觉得默认的界面更好看了。
今天一早马上把公司的笔记本上的FF也升级了,问题来了。同样的设置,同样的版本,同样的扩展,升了以后居然扩展都没了,本来设置的快速书签栏和所有的书签都没了,如同删了1507全新装了2.0一般。而且机器速度开始变慢,我想可能是昨天晚上机器没有关的缘故,于是就关了所有程序,重启。更大问题来了,重启的时候,XPP蓝屏了,我崩。。。盯了下屏幕是什么0x0000007E代码,安全模式可以进,恢复注册表,清理启动项,查毒,删FF等等捣鼓了半天,还是蓝屏。郁闷了。
不得已,一键恢复了。现在新装的2.0,把1507备份的配置恢复过来用,可以用。

可是一早的蓝屏是啥意思呢?是不是和升级有直接联系?之前也有很多朋友的XPP蓝屏拿来让我搞,问了都说是升级XPP补丁后发生的。可我没升级XPP补丁啊,我只是升级了FF而已。奇怪了奇怪了。

↑抄袭的,表鄙视我!
1.5到2.0的变化还是比较多的,一些扩展也需要升级更高的版本才能支持,所以比较稳妥的办法还是新建配置文件。
引用 (rootsun @ 2006年10月24日 12:30 PM) <{POST_SNAPBACK}>
昨天在自己的台式机上从1507直接下载了2.0的安装文件升级了,除了扩展不兼容外,用的蛮好的,该去的网站都去了,该用的感觉都用了,没出问题,并且觉得默认的界面更好看了。
今天一早马上把公司的笔记本上的FF也升级了,问题来了。同样的设置,同样的版本,同样的扩展,升了以后居然扩展都没了,本来设置的快速书签栏和所有的书签都没了,如同删了1507全新装了2.0一般。而且机器速度开始变慢,我想可能是昨天晚上机器没有关的缘故,于是就关了所有程序,重启。更大问题来了,重启的时候,XPP蓝屏了,我崩。。。盯了下屏幕是什么0x0000007E代码,安全模式可以进,恢复注册表,清理启动项,查毒,删FF等等捣鼓了半天,还是蓝屏。郁闷了。
不得已,一键恢复了。现在新装的2.0,把1507备份的配置恢复过来用,可以用。

可是一早的蓝屏是啥意思呢?是不是和升级有直接联系?之前也有很多朋友的XPP蓝屏拿来让我搞,问了都说是升级XPP补丁后发生的。可我没升级XPP补丁啊,我只是升级了FF而已。奇怪了奇怪了。

我和你遇到了同样的问题,重启蓝屏!重装后好了………………
使用tab mix plux 0.3.5 rc1, 页面的右键菜单设置了几个, 但是只有reload every有显示出来, 其它的都看不到, 有人碰到了类似情况吗?
蓝屏是M$的专利,没Fx啥事儿
慨当以慷,忧思难忘
升级成2.0RC1的时候已经受过折磨了.这回升级成正式版应该可以免折磨了吧.
我加的扩展都完美衔接了,很奇怪,几天前这些扩展都升级了,我怀疑是针对RC3的,由于这次的版本就是RC3,所以无缝升级了。
  我的扩展:Noscript,adblock plus,customizegoogle,flashgot,foxyproxy,greasemonkey,IEtab,videodownloader.